/* Sound.h 
    by Sebastien Metrot 27/01/97 15:28
*/

#ifndef __SOUND_H__
#define __SOUND_H__

int SoundInitPlayback();
int SoundNextPlayBack(mmachine m,int i);
int SoundNextRecord(mmachine m,int i);
int SoundInitPlayback(int rate,int nChannels,int ChannelSize,int BitsPerSample,HWND hwnd,mmachine m);
int SoundInitRecord(int rate,int nChannels,int ChannelSize,int BitsPerSample,HWND hwnd);
/* Magma Library functions */
int sndPlayStart(mmachine m);
int sndPlayStop(mmachine m);
int sndSendBlock(mmachine m);
int sndRecStart(mmachine m);
int sndRecStop(mmachine m);
int sndGetBlock(mmachine m);
/* Events : */
int SoundPlayCloseEvent(mmachine m,int wParam,LONG lParam);
int SoundRecCloseEvent(mmachine m,int wParam,LONG lParam);
int SoundPlayOpenEvent(mmachine m,int wParam,LONG lParam);
int SoundRecOpenEvent(mmachine m,int wParam,LONG lParam);
int sndrflRecOpen(mmachine m);
int sndrflRecClose(mmachine m);
int sndrflRecBuf(mmachine m);
int sndrflPlayOpen(mmachine m);
int sndrflPlayClose(mmachine m);
int sndrflPlayBuf(mmachine m);

void SoundStopPlayback();
void SoundStopRecord();

int GetRecSrv();
int GetPlaySrv();
int sndSetPending(mmachine m);
int sndUnsetPending(mmachine m);
int sndSetRecBuffersN(mmachine m);
int sndSetPlayBuffersN(mmachine m);

int IniSound(mmachine m);

#endif
